[MISC] AmbientSeasons 1.5.0 - Seasonal Rotator and Calendar [Spout] [1060]

Discussion in 'Inactive/Unsupported Plugins' started by olloth, Aug 3, 2011.

  1. Offline

    olloth

    maniacmusic, kahlilnc and dark_hunter like this.
  2. Offline

    olloth

    Great :) Also yes you did the new config right.
     
  3. Offline

    meizme

    Btw i got a request to make the rainy season look muddy, which one do you have set to rain the most?
    i was assuming spring but some places summer does and i wouldn't want to assume wrong
     
  4. Offline

    olloth

    Currently it's spring with only one extra biome set to rain in summer but not spring. I will probably change it up though, it should mostly be spring.
     
  5. Offline

    Sawn

    Great plugin, would it be possible to set up permissions so some users can be exempted from using the textures pushed by the server ? (So they can use their favorite texture pack by losing the seasons effects)
     
  6. Offline

    meizme

    @olloth

    here is the new banner
    Show Spoiler

    [​IMG]

    http://dl.dropbox.com/u/36246872/Doku-Me-Ed-Seasons-update.gif

    i dint realize you were hosting the link directly, its updated already thnx.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 18, 2016
  7. Offline

    olloth

    Yeah it already exists, check the permissions in the OP. ambientseasons.exempt: true
     
  8. Offline

    Sawn

    Damn, i'm an idiot, thanks :)
     
  9. I'm getting this when running it on a Spout-enabled server;

    [SEVERE] Error occurred while enabling AmbientSeasons v1.4.2 (Is it up to date?): me.ambientseasons.listener.SListener.<init>(Lme/ambientseasons/AmbientSeasons;)V
    java.lang.NoSuchMethodError: me.ambientseasons.listener.SListener.<init>(Lme/ambientseasons/AmbientSeasons;)V
    at me.ambientseasons.AmbientSeasons.onEnable(AmbientSeasons.java:74)
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:126)
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:878)
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:272)
    at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:162)
    at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:146)
    at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:284)
    at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:271)
    at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:148)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:335)
    at net.minecraft.server.ThreadServerApplication.run(SourceFile:422)
    2011-08-22 08:08:02 [SEVERE] Error occurred while enabling AmbientSeasons v1.5.0 (Is it up to date?): me.ambientseasons.listener.SListener.<init>(Lme/ambientseasons/AmbientSeasons;)V
    java.lang.NoSuchMethodError: me.ambientseasons.listener.SListener.<init>(Lme/ambientseasons/AmbientSeasons;)V
    at me.ambientseasons.AmbientSeasons.onEnable(AmbientSeasons.java:74)
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:126)
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:878)
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:272)
    at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:162)
    at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:146)
    at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:284)
    at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:271)
    at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:148)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:335)
    at net.minecraft.server.ThreadServerApplication.run(SourceFile:422)

    Is this my mistake? I'm not sure how to correct it exactly.
     
  10. Offline

    olloth

    try deleting config.yml and settings.bin and reloading and if it's still doing that I will have to investigate. I think I got that error when I was testing when I screwed up my config.

    Also, double check you have the latest RB of spout
     
  11. Offline

    meizme

    Guys, & gals too...
    head over to http://plugins.blockface.org/ and give our man olloth some thumbs up, this is by far one of the most awesome mods for multiplayer minecraft, hes at a measly 6 thumbs thats sad and wrong. fix it.
     
  12. Offline

    olloth

    Thanks for the plug :)
     
  13. Offline

    Thijsbeer

    Awesome mod, realy brings more athmosphere to our server!

    In the future would it be possible to have 2 sets of seasons for 2 maps?

    Click the thumb! http://plugins.blockface.org/
     
  14. Offline

    olloth

    Hmm sure I guess, might be way later down the road
     
  15. Offline

    olloth

    I added this to dev.bukkit.org.. but I can't quite figure it out yet so I will be keeping it here at least for a while longer unless it gets better. Can't really use the help files with all the references to lua and WoW.
     
  16. Offline

    Haekon

    Not a huge deal, but for some reason the date display doesn't show up, even when I let it generate a fresh config and toggle /ashud.
     
  17. Offline

    olloth

    Hmm.. It might be displaying OFF the screen. Are you on the most recent RB of spout + AmbientSeasons? There was a change in the render code that made it go off screen if you used the wrong builds together I believe.
     
  18. Offline

    Haekon

    Current RB's for Spout and SpoutCraft (not dev builds), AmbientSeasons 1.5.0

    I'm not sure where it's coming from, but when I run spoutcraft from windows commandline, I get this as soon as I login to server, over and over, 10x a second.
    Code:
    Received invalid widget: Label v: 5 current v: 4
    Received invalid widget: Label v: 5 current v: 4
    Received invalid widget: Label v: 5 current v: 4
    Received invalid widget: Label v: 5 current v: 4
    Received invalid widget: Label v: 5 current v: 4
    Received invalid widget: Label v: 5 current v: 4
    Received invalid widget: Label v: 5 current v: 4
    Received invalid widget: Label v: 5 current v: 4
    Received invalid widget: Label v: 5 current v: 4
    Received invalid widget: Label v: 5 current v: 4
    Received invalid widget: Label v: 5 current v: 4
    Received invalid widget: Label v: 5 current v: 4
    Received invalid widget: Label v: 5 current v: 4
    Received invalid widget: Label v: 5 current v: 4
    Received invalid widget: Label v: 5 current v: 4
    I've posted this on the Spout thread, and Aforess only replied back with something to the effect of 'oh....this is why my code didn't work'.

    I don't know if that helps, but there it is. Prolly not your problem/fault, but I thought I'd throw it in because there was some weird problem.

    If it helps, I also run BiomeSound, and mChat (though it's thrown the error without mChat).

    IDK...but like I said...it's just the date display (/ashud)....everything else is working fine.

    Edit: Maybe I should screw around with the Y position....i'll play with that a bit if I have time tonight.
     
  19. Offline

    olloth

    it looks like your client isn't up to date with your spout plugin, maybe switch to dev build in the options in the launcher, and let it download it and log into the game, then go back out, and UNCHECK dev build, and log back in, that should force a download of the most recent version
     
  20. Offline

    Haekon

    Yep. That fixed both problems. Thanks.
     
  21. Offline

    olloth

    No problem
     
  22. Offline

    msu957

    Very cool! It would be even cooler if you found a way to make the snow to melt :p
     
  23. Offline

    olloth

    Yeah I have some stuff like this in the planning stages ;)
     
  24. Offline

    NinjaGrinch

    I hope it doesn't take too long. My server needs melting/reforming snow all over! (I have an unhealthy obsession with snow. Its quiet, peaceful and <3 it on minecraft).
     
  25. Offline

    olloth

    I decided to take a short break from programming..and it lasted about 2 days and tonight I just wrote a whole flying plugin using Spout that works beautifully (only on dev builds). Expect more from AmbientSeasons and an update cycle to begin again within a few days :)
     
  26. Offline

    Sparky222B

    I don't get it, if I give the user the ambientseasons.exempt permission, how do they actually turn it off?
     
  27. Offline

    olloth

    They should no longer be forced to get texture packs. If you are talking about the HUD, you simply type /asHUD to toggle it on or off (it gets saved so they should only have to do this once)
     
  28. Offline

    Sparky222B

    Well, they seem to be forced to get texture packs :v. I'm on Bukkit 1060 and using GroupManager for permissions.
     
  29. Offline

    olloth

    I'm using SuperPerms AKA PermissionsBukkit. Sorry, not supporting older permissions plugins. Use a bridge maybe?
     
  30. Offline

    Sparky222B

    How about a simple command trigger, e.g. /seasons to enable or disable using it?
     
  31. Offline

    olloth

    Then how do you know if they are allowed not to have a forced texture pack? I don't want to leave holes for servers that use all forced texture packs to prevent x-ray packs.

    EDIT: It's not a bad idea to do that but it will still require the permission.
     

Share This Page